//---- Car Skirt 
//
//  Original file by Mike Miller
//
//  Modified for POV-Ray version 3.x by
//  Colin Fleming, cj_fleming@btinternet.com
//

//#include "Tor1_CJF.INC"
#declare T1 = quartic { <1, 0, 0, 0, 2, 0, 0, 2, 0, -1649, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 1600, 0, 0, 0, 0, 1, 0, -1649, 0, 640000> rotate x*90 }

#declare Sk1 =
object {
  union { 
    sphere { 0, 1 scale <85, 30, 20> rotate z*28 translate <32.5, 5.7, -42.3> }
    sphere { 0, 1 scale <85, 30, 20> rotate z*28 translate <32.5, 5.7,  42.3> }
  }
  texture { SkirtTexture }
  clipped_by {
    plane { y, 23 inverse }
    plane { z, -51 inverse }
    plane { z, 51  }
    object { Cylinder_Z scale <13, 13, 1> translate <107, 33, 0> inverse  }
  }    
}

//--- Side Board
#declare Sk2 = 
object {
   union { 
     box { -1, 1 scale <85, 1, 50> translate <23, 24, 0> }
     cylinder { x, -x, 1 scale <85, 1, 1> translate <23, 24, -50> }
     cylinder { x, -x, 1 scale <85, 1, 1> translate <23, 24,  50> }
   }
   texture { SkirtTexture }
   clipped_by {
     sphere { 0, 1 scale <85, 30, 20> rotate z*28 translate <32.5, 5.7, -42.3> inverse }
     sphere { 0, 1 scale <85, 30, 20> rotate z*28 translate <32.5, 5.7,  42.3> inverse }
     object { Cylinder_Z scale <13, 13, 1> translate <107, 33, 0> inverse  }
     plane { x, -48 inverse }	
   }    
}

#declare Sk3 =
object {
  union {
    object { T1 scale <1, 1, 2.7> translate <-80, 23, -41.7> } 	 
    object { T1 scale <1, 1, 2.7> translate <-80, 23,  41.7> } 	 
  }   
  texture { SkirtTexture }
  clipped_by {
    plane { y, 23 inverse }
    box { -1, 1 scale <7, 7, 70> translate <-107.5, 22, 0> inverse }
  }
  bounded_by { box { -1, 1 scale <34, 34, 55> translate <-80, 23, 0> } }
}

#declare SkirtLight =
object {
  union {
    difference {
      sphere { 0, 1 scale <4.5, 3.25, 3.25> translate y*7.3 }
      plane { x, 1.5 inverse }
    }
    sphere { 0, 1 scale <1, 3.5, 3.5>  translate <1.5, 7.3, 0> } 
    cylinder { y, -y, 1 scale <1.5, 2.5, 1.5> translate y*2.5 }
  }
  texture { CromeTexture }
  bounded_by { box { -1, 1 scale <6, 6.5, 6.5> translate y*5.5 } }
}

//--- Back Lights
#declare Light2 =
object { 
  Sphere 
  scale <6.5, 3, 3>
  texture { CromeTexture }
}

#declare Skirt =
union {
  object { Sk1 }
  object { Sk2 }
  object { Sk3 }
  object { SkirtLight translate <82, 52, -43> }
  object { SkirtLight translate <82, 52, 43> }
  object { Light2 translate <-80, 55, -42> }
  object { Light2 translate <-80, 55, 42> }
}